<?php

namespace EventPortal\Concerns;

use Illuminate\Support\Facades\App;
use Symfony\Component\Finder\Finder;

trait LoadConfigs
{
    public function loadTables(): void
    {
        $this->load('tables');
    }

    public function loadForms(): void
    {
        $this->load('forms');
    }

    public function loadSidebars(): void
    {
        $this->load('sidebars');
    }

    public function load(string $folder): void
    {
        $path = $this->getPath($folder);

        if (!is_dir($path)) {
            return;
        }

        foreach (Finder::create()->files()->name('*.php')->in($path) as $file) {
            require $file->getRealPath();
        }
    }

    private function getPath(string $folder): string
    {
        if (App::environment('testing')) {
            return $path = __DIR__ . '/../../' . $folder;
        }

        return base_path($folder);
    }
}
