<?php

use EventPortal\Domain\Admin\Models\Admin;
use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\ButtonDropdown;
use EventPortal\Domain\Component\Input\Text;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Enums\InertiaMethod;

Table::make('admin.index')
    ->addAvailableColumns(static function () {
        return [
            Text::make('First name'),
            Text::make('Last name'),
            Text::make('Email'),
        ];
    })
    ->addDefaultColumns(static function () {
        return [
            Text::make('First name'),
            Text::make('Last name'),
            Text::make('Email'),
        ];
    })
    ->addRowAction(static function (Admin $admin) {
        return ButtonDropdown::make('Manage user')
            ->actions([
                Button::make('Edit')
                    ->method(InertiaMethod::VISIT())
                    ->route('admin.user.edit', ['admin' => $admin->id]),
            ]);
    });
